"""empty message

Revision ID: 19a0698c9f7b
Revises: 30440bb32554
Create Date: 2018-05-17 18:29:00.581553

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '19a0698c9f7b'
down_revision = '30440bb32554'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('order_details', sa.Column('id_details', sa.Integer(), nullable=False))
    op.alter_column('order_details', 'id_order',
               existing_type=sa.INTEGER(),
               nullable=True)
    op.create_primary_key('pk_order_details', 'order_details', ['id_details'])

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('order_details', 'id_order',
               existing_type=sa.INTEGER(),
               nullable=False)
    op.drop_column('order_details', 'id_details')
    # ### end Alembic commands ###
